L'obiettivo del progetto ( Android L (Anteprima ) ) non è stato caricato correttamente

? Kartheek s @ | Original: StackOverFlow
---

Recentemente ho aggiornato Eclipse insieme a ADT plugin s di Android L priew .

Ho l'ultimo aggiornamento di Java e cioè Java 8 .

Non sono riuscito a vedere il layout e visualizza come di seguito

L'obiettivo del progetto ( Android L (Anteprima ) ) non è stato caricato correttamente

---

Top 5 Risposta

1noloman @

Potete vedere la seguente nota in https://developer.android.com/preview/setup-sdk.html

Nota : Il ADT plug-in Eclipse richiede Java 7 se compilation   target è l'anteprima L sviluppatore .

Forse non hai Java 7 installato ?

2codewrangler @

Questo sembra essere il problema .... il ' pick automaticamente Best', prende la versione ' L ' di API 20 invece della versione 4.x di API 20. Nel mio caso, io sono targeting API 19 e apparentemente questo non è compatibile con la scelta di "API 20 : L Android (Anteprima ) " .

Siamo spiacenti, questo sistema non mi permette di postare immagini ancora ...

3Alexandre Landim @

Si prega di notare questa icona Android nella parte superiore dello schermo

L'obiettivo del progetto ( Android L (Anteprima ) ) non è stato caricato correttamente

Questa icona si trova nella parte superiore di questo schermo :

L'obiettivo del progetto ( Android L (Anteprima ) ) non è stato caricato correttamente

Probabilmente è visualizzato il numero 20. Questa è la scelta di utilizzare l'API 20 per rendere la finestra . Cambiare a 19, o 20W (non 20L ) . Che sarà risolvere il problema .

L'obiettivo del progetto ( Android L (Anteprima ) ) non è stato caricato correttamente

4Kartheek s @

Il problema per questo è avere diverse versioni di JRE

Ho java 6 and 8 sia installato nel mio sistema, quindi ho disinstallato Java 6 e il percorso impostato per solo Java 8 .

Ma ricordati di riavviare il sistema dopo aver impostato i percorsi .

Ora non c'è più errore durante la visualizzazione android L Preview

5Sgdva @

Quello che ho fatto dopo l'aggiornamento di Java è stato quello di impostare nuovamente il sistema variabile per Java

Impostazioni di sistema avanzate - > Avanzate - > Variabili d'ambiente .

Ho aggiornato JAVA_HOME con questa directory

C: Program FilesJavajdk1.7.0_60

Torna in eclissi, è possibile:

Fare clic su Proprietà - > Android - > Progetto Costruire destinazione

Cambiare L Android per Android 4.4

Se si desidera utilizzare Android L, quindi cambiare nel minSdkVersion manifesto di " L "